#![windows_subsystem = "windows"]

use anyhow::Result;

use crate::game_state::GameState;
use crate::notes::Notes;
use crate::notes_state::NotesState;

mod app;
mod notes;
mod game_state;
mod notes_state;
mod util;
mod widget;

fn main() -> Result<()> {
    let app = crate::app::App::default();
    app.launch()
}
