use druid::{Data, im::Vector};
use serde::Deserialize;

#[derive(Debug, Deserialize, Clone, Data)]
pub struct Notes {
    pub steps: Vector<Step>,
}

#[derive(Debug, Deserialize, Clone, Data)]
pub struct Step {
    pub stage: u16,
    pub areas: Vector<Area>,
}

#[derive(Debug, Deserialize, Clone, Data)]
pub struct Area {
    pub area: u32,
    pub steps: String,
}
